Page MenuHomePhabricator

Present most basic community metrics from T94578 on one page
Closed, ResolvedPublic

Description

(Creating a dedicated ticket, as discussed with @Dicortazar).

In T94578 we have defined the KPIs we'd like to see.
We'd like to view all those KPIs displayed on one single page: http://korma.wmflabs.org/browser/kpi_overview.html

(And for the records, @Dicortazar said that embedding charts is easier than tables.)

Event Timeline

Aklapper created this task.Jun 1 2015, 11:34 AM
Aklapper raised the priority of this task from to High.
Aklapper updated the task description. (Show Details)
Aklapper added subscribers: Aklapper, Qgil, Dicortazar.
Qgil added a comment.Jun 1 2015, 1:22 PM

At least when it comes to our quarterly goal T94578, I think this task is a nice to have but not a blocker. I understood the "how they are presented" in the goal as how each metric is presented. If it helps taking some pressure from this month, we can leave for later how they are presented together, and keep the focus to the basic metrics themselves. It would be enough documenting a "Basic metrics" section at the top of https://www.mediawiki.org/wiki/Community_metrics where these metrics are listed as

  • <link to the right place in korma>Name of metric</link> - Short description.

The values themselves would not be required in that page, although since it's a monthly change easy to edit, perhaps we manage to keep those values synced manually (as we are doing with Phabricator active users).

This would be a goods enough scenario for our quarterly goal. Then, maybe we want to discuss in the next quarter about that single page.

Aklapper lowered the priority of this task from High to Low.Jun 2 2015, 4:26 PM

I think this task is a nice to have but not a blocker.

That makes things more relaxing, thanks. Lowering priority.
I might give this task a shot myself.

Qgil added a comment.Jun 18 2015, 9:03 AM

This task is scheduled for ECT-June-2015 but is not assigned to someone. We should either assign it or we remove it from the sprint.

Aklapper set Security to None.
Qgil added a comment.Aug 6 2015, 8:00 AM

I'm linking this task to T107562 because both a related: we need a good place to highlight and track our KPIs. Options: a special page in Korma or https://www.mediawiki.org/wiki/Community_metrics#Reports (else?)

Also, only slightly related but just in case it serves as inspiration. Yesterday I learned about http://searchdata.wmflabs.org/metrics/ (and I'd rather post this here than forget the URL).

I'd like to give this a shot myself in September if time allows.

we need a good place to highlight and track our KPIs. Options: a special page in Korma or https://www.mediawiki.org/wiki/Community_metrics#Reports (else?)

  • If there is no automated way to get data (e.g. from JSON) into a wikipage I propose a dedicated page in korma: The Frontpage at http://korma.wmflabs.org/browser/ which currently shows weird and incorrect data like "53405 tickets") so I'd go for changing frontpage content to show our most basic community metrics.
  • Until we've sorted out what we want to see from Maniphest in korma (T28), we will only have Maniphest related metrics in the monthly email to wikitech-l. That's something to also mention on that "one page" until that is fixed.
  • https://www.mediawiki.org/wiki/Community_metrics should then also link to that one page.
Aklapper claimed this task.Sep 1 2015, 4:28 PM

I'd like to give this a shot myself in September if time allows.

Time didn't.
Punting to October, plus want my two other pull requests for mediawiki-dashboard to get merged first.

I gave this a first shot in https://github.com/Bitergia/mediawiki-dashboard/pull/66 (untested!, feedback welcome) by creating a new custom page kpi_overview.html to link from the navigation.

Aklapper moved this task from Backlog to Doing on the DevRel-October-2015 board.Oct 6 2015, 10:43 AM

@Aklapper your changes were merged. I do think it is a good approach.

Aklapper moved this task from Backlog to Doing on the wikimedia.biterg.io board.Oct 23 2015, 4:35 PM
Aklapper updated the task description. (Show Details)Oct 26 2015, 10:16 AM
Aklapper closed this task as Resolved.Oct 26 2015, 10:19 AM

Initial version is available now on http://korma.wmflabs.org/browser/kpi_overview.html

Followup work needed once all KPIs we want are actually available in korma itself; tracked in T116572.

Closing as resolved.